#! /usr/bin/env python3
"""Build resume."""

from pathlib import Path

from rwx import fs
from rwx.ps import run

if __name__ == "__main__":
    root = Path(__file__).resolve().parent
    out = root / "out"
    web = out / "web"
    fs.wipe(out)
    fs.make_directory(web / "img")
    run(
        "qrencode",
        ("--background", "00000000"),
        ("--foreground", "000000FF"),
        ("--level", "L"),
        ("--margin", "1"),
        ("--read-from", str(root / "vcard.vcf")),
        ("--size", "4"),
        ("-t", "SVG"),
        ("--output", str(root / "img" / "vcard.svg")),
    )
